Debian Bug report logs - #653168
RM: oprofile - unmaintained, replacements exist, buggy, low popcon

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Moritz Muehlenhoff <jmm@debian.org>

Date: Sat, 24 Dec 2011 15:57:04 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#653168; Package src:oprofile. (Sat, 24 Dec 2011 15:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@debian.org>:
New Bug report received and forwarded. Copy sent to LIU Qi <liuqi82@gmail.com>. (Sat, 24 Dec 2011 15:57:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Should this package be removed?
Date: Sat, 24 Dec 2011 16:56:55 +0100
Source: oprofile
Severity: serious

oprofile seems like a candidate for removal:

- Last maintainer upload in 2009
- No followup to security or RC bugs from the maintainers
- Low popcon
- Alternatives exist (perf)
- Depends on legacy libs (604366)
- Broken wih current kernels (615964)

Unless there're objections/fixes, I'll file a removal bug in a month.

Cheers,
        Moritz

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#653168; Package src:oprofile. (Sat, 24 Dec 2011 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roberto C. Sánchez <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Sat, 24 Dec 2011 20:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 653168@bugs.debian.org (full text, mbox):

From: Roberto C. Sánchez <roberto@connexer.com>
To: Moritz Muehlenhoff <jmm@debian.org>, 653168@bugs.debian.org
Subject: Re: Bug#653168: Should this package be removed?
Date: Sat, 24 Dec 2011 15:55:43 -0500
[Message part 1 (text/plain, inline)]
On Sat, Dec 24, 2011 at 04:56:55PM +0100, Moritz Muehlenhoff wrote:
> Source: oprofile
> Severity: serious
> 
> oprofile seems like a candidate for removal:
> 
> - Last maintainer upload in 2009
> - No followup to security or RC bugs from the maintainers
> - Low popcon
> - Alternatives exist (perf)
> - Depends on legacy libs (604366)
> - Broken wih current kernels (615964)
> 
> Unless there're objections/fixes, I'll file a removal bug in a month.
> 

Moritz,

I have no objection.  I become co-maintainer of oprofile a little over
two years ago because one of my clients was using it and needed some
work done on the package.  The maintainer was not especially responsive
at that time, so I did what needed to be done.  However, my client has
since moved away from using oprofile and when I asked to be removed as
co-maintainer I heard nothing at all.  Based on that, I think that the
maintainer is probably MIA, and removal seems like the right thing.

Regards,

-Roberto
-- 
Roberto C. Sánchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#653168; Package src:oprofile. (Sun, 25 Dec 2011 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Sun, 25 Dec 2011 11:21:06 GMT) Full text and rfc822 format available.

Message #15 received at 653168@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 653168@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#653168: Should this package be removed?
Date: Sun, 25 Dec 2011 12:20:32 +0100
retitle 653168 RM: oprofile - unmaintained, replacements exist, buggy, low popcon
reassign 653168 ftp.debian.org
severity 653168 normal
thanks

On Sat, Dec 24, 2011 at 03:55:43PM -0500, Roberto C. Sánchez wrote:
> On Sat, Dec 24, 2011 at 04:56:55PM +0100, Moritz Muehlenhoff wrote:
> > Source: oprofile
> > Severity: serious
> > 
> > oprofile seems like a candidate for removal:
> > 
> > - Last maintainer upload in 2009
> > - No followup to security or RC bugs from the maintainers
> > - Low popcon
> > - Alternatives exist (perf)
> > - Depends on legacy libs (604366)
> > - Broken wih current kernels (615964)
> > 
> > Unless there're objections/fixes, I'll file a removal bug in a month.
> > 
> 
> Moritz,
> 
> I have no objection.  I become co-maintainer of oprofile a little over
> two years ago because one of my clients was using it and needed some
> work done on the package.  The maintainer was not especially responsive
> at that time, so I did what needed to be done.  However, my client has
> since moved away from using oprofile and when I asked to be removed as
> co-maintainer I heard nothing at all.  Based on that, I think that the
> maintainer is probably MIA, and removal seems like the right thing.

OK, reassigning to ftp.debian.org, then.

Cheers,
        Moritz




Changed Bug title to 'RM: oprofile - unmaintained, replacements exist, buggy, low popcon' from 'Should this package be removed?' Request was from Moritz Mühlenhoff <jmm@inutil.org> to control@bugs.debian.org. (Sun, 25 Dec 2011 11:21:21 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:oprofile' to 'ftp.debian.org'. Request was from Moritz Mühlenhoff <jmm@inutil.org> to control@bugs.debian.org. (Sun, 25 Dec 2011 11:21:22 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Moritz Mühlenhoff <jmm@inutil.org> to control@bugs.debian.org. (Sun, 25 Dec 2011 11:21:22 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 28 Dec 2011 00:15:37 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@debian.org>:
Bug acknowledged by developer. (Wed, 28 Dec 2011 00:15:37 GMT) Full text and rfc822 format available.

Message #26 received at 653168-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 653168-close@bugs.debian.org
Cc: oprofile@packages.debian.org, oprofile@packages.qa.debian.org
Subject: Bug#653168: Removed package(s) from unstable
Date: Wed, 28 Dec 2011 00:12:54 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

  oprofile |  0.9.6-1.4 | source, amd64, armel, i386, ia64, mips, mipsel, powerpc, s390, sparc
oprofile-gui |  0.9.6-1.4 | amd64, armel, i386, ia64, mips, mipsel, powerpc, s390, sparc

------------------- Reason -------------------
RoQA; low popcon, replacements exist, buggy, unmaintained
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653168@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/653168

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 25 Jan 2012 07:41:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:15:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.